Creates a new purchase order order line

Request Information

URI Parameters :

None.

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "b2734d54-ee23-4b25-9fe2-f17159ad0b9a",
  "purchase_order_id": "a989dca2-63f2-4f6a-9642-d63252838d61",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "7770741d-f509-4150-978c-afc263f44050",
    "id2": 2,
    "jobs_id": "3e495acf-08ae-4fcc-8bec-89642f59d681",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "0dd88313-2081-416b-9494-b33b514122eb",
    "supplier_company_code": "sample string 6",
    "user_id": "de13fecc-be80-42c0-91e3-b4f94dc21d73",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-10-26T14:50:15.2022201+00:00",
    "date_update": "2026-10-26T14:50:15.2022201+00:00",
    "date_delivery": "2026-10-26T14:50:15.2022201+00:00",
    "confirmed_date_delivery": "2026-10-26T14:50:15.2022201+00:00",
    "delivery_db_address_id": "b8e37e73-b8f8-44de-8807-d85f225ae51d",
    "approved_by_user_id": "f6e20893-f8db-44cf-8d9c-1c3f5bfa679c",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "dd5269da-3110-468f-8722-3bf7a99f4c83",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "818a36f0-8671-426d-a10e-826430c1b718",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "e20aa66b-f7c1-4aff-ad2b-70344d394aee",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-10-26T14:50:15.2022201+00:00"
  },
  "article_id": "c616564c-81bc-4c69-be6c-87e8bc824b48",
  "article_code": "sample string 5",
  "article": {
    "id": "02961da7-f05e-499d-bef0-a41380720c85",
    "article_category_id": "5c383f96-1a84-4153-ac48-2b8563697402",
    "article_category": {
      "id": "fe99ce6d-5552-4486-b946-e1c41ade99aa",
      "parent_id": "330b4716-08ed-40ce-83a3-1b3e80ca19e9",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-10-26T14:50:15.2022201+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "bc21f7c1-276d-424e-9609-15f248968865",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "0e9d04a5-4c51-437c-a06e-2963b5d33f9d",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "bb431a0d-bd76-4344-ba38-a04255f74bcd",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "69aaef6b-a0d9-4ec4-886e-8b9ebd036caa",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "dd36e1e2-823d-4ba4-84f4-f9abd6f86de8",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "073ee5ba-2316-4e38-8eb3-8d478eaa610f",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-10-26T14:50:15.2022201+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-10-26T14:50:15.2022201+00:00",
    "date_update": "2026-10-26T14:50:15.2022201+00:00",
    "modified_dateutc": "2026-10-26T14:50:15.2022201+00:00",
    "article_color_id": "becf678e-93bc-4275-9ad3-66fd75c1efe4",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "7fdee488-4ea0-4fd5-a059-0446be830df1",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-10-26T14:50:15.2022201+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "383d69c2-eb7b-44a5-b657-fad79579ef0b",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "1aeae57c-eae9-4485-9caa-eef1cb64c84d",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-10-26T14:50:15.2212477+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.